commit:     eb95b6a6e783c5ee05e0b079d7ad2a110a268e9c
Author:     Patrick McLean <patrick.mclean <AT> sony <DOT> com>
AuthorDate: Wed Nov 25 06:40:40 2020 +0000
Commit:     Patrick McLean <chutzpah <AT> gentoo <DOT> org>
CommitDate: Wed Nov 25 06:40:40 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=eb95b6a6

net-vpn/openvpn-2.5.0: Version bump (bug #755659)

Closes: https://bugs.gentoo.org/755659
Copyright: Sony Interactive Entertainment Inc.
Package-Manager: Portage-3.0.10, Repoman-3.0.2
Signed-off-by: Patrick McLean <chutzpah <AT> gentoo.org>

 net-vpn/openvpn/Manifest             |   1 +
 net-vpn/openvpn/metadata.xml         |   4 +-
 net-vpn/openvpn/openvpn-2.5.0.ebuild | 148 +++++++++++++++++++++++++++++++++++
 3 files changed, 152 insertions(+), 1 deletion(-)

diff --git a/net-vpn/openvpn/Manifest b/net-vpn/openvpn/Manifest
index 1a742621c67..1a66bc36661 100644
--- a/net-vpn/openvpn/Manifest
+++ b/net-vpn/openvpn/Manifest
@@ -1 +1,2 @@
 DIST openvpn-2.4.9.tar.gz 1000602 BLAKE2B 
4a10ec76d1a816f9184dd33e4384623e011a1af40ea38ad56cc06f70ab2c911b6fd92cf8ffcd2ec3ab4179fef87feb187fc9df61c5bea92b1c69ee4113093866
 SHA512 
7683dfb93592968459f080a07ea750992b7444708cdb1a5aafc0118ab8528fc488f2b9fbd7d042e57ad1811303208875237ae9decf0bb4977c45cd30da53751b
+DIST openvpn-2.5.0.tar.gz 1167549 BLAKE2B 
273fb3d887c3afb1a94a00f8ee6c7f03dc470f0dc1ccc27e9811c70d79d258b30988b7c559ae739208a69fee670332215cc8aab5a6cd66ff5f4793935e1cf0ce
 SHA512 
9f81558071da874554e4d174671b49d5fa61707108e79daee096106166c9a865b3cd955ce627951276c20bf16019f8ac055c553d789982a8a22e8ea53124a4ce

diff --git a/net-vpn/openvpn/metadata.xml b/net-vpn/openvpn/metadata.xml
index 4d0024cb2ed..caa9b97acdf 100644
--- a/net-vpn/openvpn/metadata.xml
+++ b/net-vpn/openvpn/metadata.xml
@@ -15,7 +15,9 @@ networks using an encrypted tunnel.</longdescription>
   <use>
     <flag name="down-root">Enable the down-root plugin</flag>
     <flag name="iproute2">Enabled iproute2 support instead of net-tools</flag>
-    <flag name="mbedtls">Use mbed TLS instead of OpenSSL</flag>
+    <flag name="mbedtls">Use mbed TLS as the backend crypto library</flag>
+    <flag name="openssl">Use OpenSSL as the backend crypto library</flag>
+    <flag name="libressl">Use OpenSSL as the backend crypto library</flag>
     <flag name="pkcs11">Enable PKCS#11 smartcard support</flag>
     <flag name="plugins">Enable the OpenVPN plugin system</flag>
   </use>

diff --git a/net-vpn/openvpn/openvpn-2.5.0.ebuild 
b/net-vpn/openvpn/openvpn-2.5.0.ebuild
new file mode 100644
index 00000000000..15d5564e760
--- /dev/null
+++ b/net-vpn/openvpn/openvpn-2.5.0.ebuild
@@ -0,0 +1,148 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools flag-o-matic systemd linux-info
+
+DESCRIPTION="Robust and highly flexible tunneling application compatible with 
many OSes"
+SRC_URI="https://github.com/OpenVPN/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+HOMEPAGE="https://openvpn.net/";
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc 
~x86 ~amd64-linux ~x86-linux ~x86-macos"
+
+IUSE="down-root examples inotify iproute2 libressl lz4 +lzo mbedtls +openssl
+       pam pkcs11 +plugins selinux systemd test userland_BSD"
+
+RESTRICT="!test? ( test )"
+REQUIRED_USE="
+       ^^ ( openssl libressl mbedtls )
+       pkcs11? ( !mbedtls )
+       !plugins? ( !pam !down-root )
+       inotify? ( plugins )
+"
+
+CDEPEND="
+       kernel_linux? (
+               iproute2? ( sys-apps/iproute2[-minimal] )
+       )
+       libressl? ( dev-libs/libressl:0= )
+       lz4? ( app-arch/lz4 )
+       lzo? ( >=dev-libs/lzo-1.07 )
+       mbedtls? ( net-libs/mbedtls:= )
+       openssl? ( >=dev-libs/openssl-0.9.8:0= )
+       pam? ( sys-libs/pam )
+       pkcs11? ( >=dev-libs/pkcs11-helper-1.11 )
+       systemd? ( sys-apps/systemd )
+"
+DEPEND="${CDEPEND}
+       test? ( dev-util/cmocka )
+"
+RDEPEND="${CDEPEND}
+       acct-group/openvpn
+       acct-user/openvpn
+       selinux? ( sec-policy/selinux-openvpn )
+"
+
+CONFIG_CHECK="~TUN"
+
+pkg_setup() {
+       linux-info_pkg_setup
+}
+
+src_prepare() {
+       default
+       eautoreconf
+}
+
+src_configure() {
+       local -a myeconfargs
+
+       if use libressl || ! use mbedtls; then
+               myeconfargs+=(
+                       $(use_enable pkcs11)
+               )
+       fi
+       myeconfargs+=(
+               $(use_enable inotify async-push)
+               --with-crypto-library=$(usex mbedtls mbedtls openssl)
+               $(use_enable lz4)
+               $(use_enable lzo)
+               $(use_enable plugins)
+               $(use_enable iproute2)
+               $(use_enable pam plugin-auth-pam)
+               $(use_enable down-root plugin-down-root)
+               $(use_enable systemd)
+       )
+       SYSTEMD_UNIT_DIR=$(systemd_get_systemunitdir) \
+               TMPFILES_DIR="/usr/lib/tmpfiles.d" \
+               IPROUTE=$(usex iproute2 '/bin/ip' '') \
+               econf "${myeconfargs[@]}"
+}
+
+src_test() {
+       make check || die "top-level tests failed"
+       pushd tests/unit_tests > /dev/null || die
+       make check || die "unit tests failed"
+       popd > /dev/null || die
+}
+
+src_install() {
+       default
+       find "${ED}/usr" -name '*.la' -delete
+       # install documentation
+       dodoc AUTHORS ChangeLog PORTS README README.IPv6
+
+       # Install some helper scripts
+       keepdir /etc/openvpn
+       exeinto /etc/openvpn
+       doexe "${FILESDIR}/up.sh"
+       doexe "${FILESDIR}/down.sh"
+
+       # Install the init script and config file
+       newinitd "${FILESDIR}/${PN}-2.1.init" openvpn
+       newconfd "${FILESDIR}/${PN}-2.1.conf" openvpn
+
+       # install examples, controlled by the respective useflag
+       if use examples ; then
+               # dodoc does not supportly support directory traversal, #15193
+               docinto /usr/share/doc/${PF}/examples
+               dodoc -r sample contrib
+       fi
+}
+
+pkg_postinst() {
+       if use x64-macos; then
+               elog "You might want to install tuntaposx for TAP interface 
support:"
+               elog "http://tuntaposx.sourceforge.net";
+       fi
+
+       elog "The openvpn init script expects to find the configuration file"
+       elog "openvpn.conf in /etc/openvpn along with any extra files it may 
need."
+       elog ""
+       elog "To create more VPNs, simply create a new .conf file for it and"
+       elog "then create a symlink to the openvpn init script from a link 
called"
+       elog "openvpn.newconfname - like so"
+       elog "   cd /etc/openvpn"
+       elog "   ${EDITOR##*/} foo.conf"
+       elog "   cd /etc/init.d"
+       elog "   ln -s openvpn openvpn.foo"
+       elog ""
+       elog "You can then treat openvpn.foo as any other service, so you can"
+       elog "stop one vpn and start another if you need to."
+
+       if grep -Eq "^[ \t]*(up|down)[ \t].*" "${ROOT}/etc/openvpn"/*.conf 
2>/dev/null ; then
+               ewarn ""
+               ewarn "WARNING: If you use the remote keyword then you are 
deemed to be"
+               ewarn "a client by our init script and as such we force up,down 
scripts."
+               ewarn "These scripts call /etc/openvpn/\$SVCNAME-{up,down}.sh 
where you"
+               ewarn "can move your scripts to."
+       fi
+
+       if use plugins ; then
+               einfo ""
+               einfo "plugins have been installed into 
/usr/$(get_libdir)/${PN}/plugins"
+       fi
+}

Reply via email to